Subject: [bug#59843] [PATCH] shell: Enable --target for guix shell (--development)

From: "yarl baudig" <[email-masked]>
Date: Wed, 14 Dec 2022 17:26:54 +0100 (CET)

> 
> This change won’t give something useful per se, because the environment
> will contain a mixture of “host” and “build” inputs.
> 
> To make it work, we need two profiles: one for “build” inputs, and one
> for “host/target” inputs.  Search path environment variables must be
> evaluated in a way that accounts for these two profiles.  For example,
> target libraries will appear on CROSS_C_INCLUDE_PATH but not on
> C_INCLUDE_PATH.
> 
> Does that make sense?
> 
> IOW, it’s a trickier endeavor that one could hope for.  :-)
> 
> Thanks,
> Ludo’.
> 

Obviously, you know a lot more about this than I do. However (please correct me, I probably did not completely understand your point) I think it is useful and works for the goal I mentioned in the part of the patch concerning the manual. It can help debugging failing (cross-)builds because you source "environment-variables" and that's the reason why I sent this patch. I tried it with texinfo (because the cross-compilation fails and I want to fix it) and it seem to work (i.e. you have access to paths in CROSS_C_INCLUDE_PATH, for example). Maybe I missed something and you saw that "debugging cross-builds" is my intent. Please do tell.

I take avantage of having reached you to mention https://issues.guix.gnu.org/59839 I was working on this in parallel and I may have made things confusing because (in 59839) that's --system I am talking about (see the last version, number 3, of the patch please)... Thank you a lot.